<section class="cart-page">
    <section *ngIf="cartData !== undefined && cartData.entries !== undefined; else empty_cart" class="cart-container">
        <h4>Your Shopping Cart</h4>
        <section class="cart-left">
            <app-cart-summary [cartItems]="cartData.entries" [code]="cartData.code"></app-cart-summary>
        </section>
        <section class="cart-right">
            <app-order-summary-molecule [totalPrice]="cartData.totalPrice" [totalTax]="cartData.totalPriceWithTax" [isCart]="true"></app-order-summary-molecule>
        </section>
    </section>
    <ng-template #empty_cart>
        <section class="cart-container">
            <h4>Your shopping cart is empty</h4>
        </section>
    </ng-template>
</section>
